##
##  elasticsearch.yml -- ElasticSearch Configuration
##

path.data:                            @l_prefix@/var/elasticsearch/db
path.logs:                            @l_prefix@/var/elasticsearch/log

node.name:                            elasticsearch.example.com
network.bind_host:                    127.0.0.1
network.publish_host:                 127.0.0.1
network.host:                         127.0.0.1
transport.tcp.port:                   9300
http.port:                            9200

http.cors.allow-origin:               "http://127.0.0.1:9200"
http.cors.enabled:                    true
http.cors.allow-headers:              X-Requested-With,X-Auth-Token,Content-Type,Content-Length,Authorization
http.cors.allow-credentials:          true

#discovery.zen.ping.multicast.enabled: false
#discovery.zen.ping.unicast.hosts:     [ "127.0.0.1:9201", "127.0.0.1:9202" ]
#cluster.name:                         example-cluster
#node.name:                            example
#node.master:                          true
#node.data:                            true
#index.number_of_shards:               1
#index.number_of_replicas:             0

